﻿/* Bootstrap Validation Summary Override */



/* Bootstrap Validation Summary Override */
.validation-summary-valid {
    display: none;
}

.validation-summary-errors ul {
    margin-bottom: 0;
    /*padding-left: 1rem;*/
    padding-left: 0px;
    list-style: none !important;
}

.alert.validation-summary-errors {
    margin-bottom: 1rem;
}

.col-0 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 4.166665%;
    flex: 0 0 4.166665%;
    max-width: 4.166665%;
    width: 4.166665%;
}

.col-1 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 8.33333%;
    flex: 0 0 8.33333%;
    max-width: 8.33333%;
    width: 8.33333%;
}

.col-2 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 16.66666%;
    flex: 0 0 16.66666%;
    max-width: 16.66666%;
    width: 16.66666%;
}

.dataTables_empty {
    font-size: 1.5rem !important;
}

/* Reference classes, no implementation */
.base,
.needs-validation,
.flex-start,
.text-faded,
.app-container-demo,
.lang-js,
.lang-csharp,
.has-tooltip,
.has-popover {
}

/* Keeps analyzers happy */
.js-waves-off,
.js-waves-on,
.js-get-date,
.js-collapse,
.js-modal-settings,
.js-filter-message,
.js-buttons,
.js-icon-class,
.js-icon-copy,
.js-bg-color,
.js-bg-gradient,
.js-bg-gradient-demo,
.js-bg-target {
}

/* Small word wrap correction */
section > ol > li {
    word-break: break-all;
}

code {
    border: 1px solid silver;
    padding: 0.03rem 0.2rem !important;
}

pre.prettyprint {
    border-radius: 0.2rem;
    padding-left: 0.4rem !important;
    padding-right: 0.4rem !important;
}

.documentation h2 {
    color: var(--primary);
}

.documentation th:first-child,
.documentation th:nth-child(3) {
    width: 16%;
}

.documentation blockquote {
    margin-left: 1rem;
    padding: 1rem 1rem 0.01rem 1rem;
    font-weight: 400;
    border-radius: 0 4px 4px 0;
    background: #edf2f9;
    border-left: 3px solid var(--primary);
}

    .documentation blockquote.info {
        background: #edf2f9;
        border-left: 3px solid var(--info);
    }

    .documentation blockquote.warning {
        background: #fff4db;
        border-left: 3px solid var(--warning);
    }

    .documentation blockquote.danger {
        background: #fadeeb;
        border-left: 3px solid var(--danger);
    }

/* Enter custom CSS rules for your application here */

.name-circle {
    /*    background: green;
    border-radius: 50%;
    width: 1rem;
    aspect-ratio: 1/1;*/
    /*background: #886ab5;*/
    background: transparent;
    border: solid 1px #e9e9e9;
    border-radius: 50%;
    width: 45px;
    height: 45px;
    /*padding-top: 10px;*/
    right: 0;
    bottom: 0;
    color: #fff !important;
    text-align: center;
    line-height: 45px;
    box-shadow: 0 1px 10px rgba(0, 0, 0, 0.05), 0 1px 2px rgba(0, 0, 0, 0.1);
}

.name-circle-initials {
    color: #6c757d !important;
    font-size: 25px;
    font-weight: lighter
}

.timeline {
    background-color: #e9e9e9;
    /*position: relative;*/
}

.timeline-fill {
    vertical-align: middle;
    padding-top: 20px;
    padding-bottom: 20px;
    background-color: rgba(23, 156, 142, 0.15);
    position: relative
}

.timeline-time {
    padding-left: 10px;
    position: absolute;
    /*transform: translate(0%, -50%);*/
    transform: translate(0%, 50%);
}

.timeline-fill-first {
    border-left: 2px solid #1dc9b7 !important;
}

.timeline-fill-last {
    border-right: 2px solid #1dc9b7 !important;
}

.timeline-break-fill {
    vertical-align: middle;
    padding-top: 15px;
    padding-bottom: 15px;
    position: absolute;
    transform: translate(0%, -50%);
    background-color: rgba(110, 185, 242, 0.8);
}

.filter-button-width {
    width: 150px;
}

.change-business-select {
    min-width: 150px;
}

    .change-business-select select {
        position: unset !important;
    }

.d-grid {
    display: grid !important;
}

.disabled {
    pointer-events: none !important;
}

.bg-lightgray {
    background-color: lightgray !important;
}

.overlay-y-max-height {
    overflow-y: auto !important;
    max-height: 150px !important;
}

/*Supervision Styles*/

.daily-view {
    padding-bottom: 50px;
}

    .daily-view thead th {
        padding-top: .75rem;
        padding-bottom: .75rem;
        /*background-color: rgba(86, 61, 124, 0.15);*/
        background-color: rgba(177, 190, 208, 0.60) !important;
        border: 1px solid rgba(86, 61, 124, 0.2);
    }

    .daily-view table tbody tr:last-child {
        border-bottom: 1px solid #e9e9e9;
    }

.text-overflow {
    overflow: hidden;
    white-space: normal;
    text-overflow: ellipsis;
    line-height:19px;
}

@media (max-width: 1500px) {
    .text-overflow {
        max-width: 120px;
        height: 40px;
    }
}

@media (max-width: 1400px){
    .text-overflow {
        max-width: 100px;
        height: 40px;
    }
}

.staff-timeline th {
    padding-top: 10px;
    padding-bottom: 0px;
}

@media (max-width: 1400px) {
    .staff-timeline th .row {
        min-width: 200px;
    }
}


.name-circle {
    /*    background: green;
    border-radius: 50%;
    width: 1rem;
    aspect-ratio: 1/1;*/
    /*background: #886ab5;*/
    background: transparent;
    border: solid 1px #e9e9e9;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    /*padding-top: 10px;*/
    right: 0;
    bottom: 0;
    color: #fff !important;
    text-align: center;
    line-height: 40px;
    box-shadow: 0 1px 10px rgba(0, 0, 0, 0.05), 0 1px 2px rgba(0, 0, 0, 0.1);
}

.bg-shifts {
    /*background-color: rgba(23, 156, 142, 0.15);*/
    background-color: rgba(29, 201, 183, 0.15);
    color: rgba(0, 0, 0, 0.8);
}

.bg-breaks {
    /*background-color: rgba(110, 185, 242, 0.8);*/
    background-color: rgba(255, 194, 65, 1);
    color: rgba(0, 0, 0, 0.8);
}

.bg-holidays {
    background-color:rgb(120 174 228 / 28%) !important;
}

.bg-holidays-unpaid {
    background-color: rgb(120 174 228 / 28%) !important;
}

.bg-rate-multiplier {
    background-color: rgb(142 228 120 / 28%) !important;
}

.name-circle-initials {
    color: #6c757d !important;
    font-size: 18px;
    font-weight: lighter;
}

@media (max-width: 768px) {
    .name-circle {
        width: 30px;
        height: 30px;
        line-height: 30px;
    }

    .name-circle-initials {
        color: #6c757d !important;
        font-size: 15px;
        font-weight: lighter
    }
}

.timeline {
    background-color: #e9e9e9;
    position: relative;
}

.timeline-fill {
    vertical-align: middle;
    padding-top: 20px;
    padding-bottom: 20px;
    /*background-color: rgba(23, 156, 142, 0.15);*/
    background-color: rgba(29, 201, 183, 0.15);
    /*float:right !important;*/
}

.timeline-fill.timeline-holiday {
    background-color:rgb(120 174 228 / 28%);
}

.timeline-time {
    position: absolute;
    transform: translate(10%, -50%);
    z-index: 100;
    width: 250px;
}

.timeline-fill-first {
    border-left: 2px solid #1dc9b7 !important;
    /*float: right !important;*/
}

.timeline-fill-last {
    border-right: 2px solid #1dc9b7 !important;
    /*float: left !important;*/
}

.timeline-break-fill {
    /*    vertical-align: middle;
    padding-top: 15px;
    padding-bottom: 15px;
    position: absolute;
    transform: translate(0%, -50%);
    background-color: rgba(110, 185, 242, 0.8);*/
    vertical-align: middle;
    padding-top: 15px;
    padding-bottom: 15px;
    position: absolute;
    transform: translate(0%, 15%);
    /*background-color: rgba(110, 185, 242, 0.8);*/
    /*border: solid rgb(53 159 239);*/
    background-color: rgba(255, 194, 65, 1);
    border: solid rgb(180 128 19);
    border-width: 0px 1px 0px 1px;
}

.timeline-off {
    padding: 0px;
}

.table-legend tr:last-child {
    border-bottom: 1px solid #e9e9e9;
}

.legend-row, .legend-header {
    /*background-color: rgba(217, 215, 221, 0.15) !important;*/
    /*background-color: rgba(134, 142, 150, 0.20) !important;*/
    background-color: rgba(233, 233, 233, 0.60) !important;
}

.chartjs-legend {
    list-style-type: none;
    font-size: 0.875rem;
    width: fit-content;
    margin: 0.5rem auto;
}

    .chartjs-legend li {
        padding: 0.25rem;
    }

    .chartjs-legend .legend-item {
        height: 1.5rem;
        display: flex;
        margin-bottom: 5px;
        width: fit-content;
    }

    .chartjs-legend .label {
        width: auto;
    }

    .chartjs-legend span {
        cursor: pointer;
        padding-right: 0.75rem;
        /*border-radius: 1.25rem;*/
        border-radius: 2px;
        width: 20px;
        height: 20px;
        font-size: small;
        overflow: hidden;
        text-overflow: ellipsis;
    }
/*
.bootstrap-datetimepicker-widget .datepicker-days tr td.active ~ td,
.bootstrap-datetimepicker-widget .datepicker-days tr td.active {
    color: #af1623 !important;
    background: transparent !important;
}

.bootstrap-datetimepicker-widget .datepicker-days tr:hover td {
    color: #000;
    background: #e5e2e3;
    border-radius: 0;
}

.datepicker .datepicker-days tr td.active ~ td,
.datepicker .datepicker-days tr td.active {
    color: #af1623 !important;
    background: transparent !important;
}

.datepicker .datepicker-days tr:hover td {
    color: #000;
    background: #e5e2e3;
    border-radius: 0;
}*/

#doughnutChart canvas {
    /*    width: 100% !important;
    height: 300px !important;
    display:block !important;*/
}

.select2-container--default.select2-container--open.select2-container--below .select2-selection--single, .select2-container--open .select2-dropdown--below {
    border-color: #627ca0 !important;
}

.cover-viewbox {
    position: absolute;
    height: 81%;
    width: 97%;
    display: block;
    z-index: 9;
    background-color: #faebd7b8;
    background-color: #d7eafab8;
}
@media (max-width: 1000px) {
    .cover-viewbox {
        width:94%;
    }
}
.daterangepicker-size {
    width: fit-content !important;
}

.comment-type-edit-button-grid {
    display: grid !important;
    grid-template-columns: 1fr 0.1fr !important
}

.comment-type-edit-button-alignment {
    align-self: self-start !important;
    top: -5px !important;
    left: 10px !important;
}

.comment-type-edit-button-icon-alignment {
    vertical-align: bottom !important;
}

.text-balanced-wrap {
    text-wrap: balance !important;
}

.comment-label {
    border: 1px solid darkgrey !important;
    border-radius: 2px !important;
    padding: 5px !important;
}

.datepicker {
    z-index: 500 !important;
}

.side-panel-bg {
    background-color: #f7f9fa;
}

.bg-none{
    background-color:transparent;
}

#js_departments_accordion .list-group .list-group-item,
#js_employees_accordion .list-group .list-group-item {
    border-left: none;
    border-right: none;
    border-radius: 0px;
}


/*DATA FILTERS*/
.data-filters {
/*    border: 1px solid;
    border-color: #d9d9d9;
    border-radius: 5px;
*/}

.data-filters-item {
    cursor: pointer;
    color: #2196f3;
    /*padding: 12px 8px;*/
    border-bottom: 1px solid;
    border-color: #d9d9d9 !important;
}

.data-filters-item-name-selected {
    font-weight: bold;
    /*padding: 12px 8px;*/
    background: #e4ebef;
    border-left: 5px solid !important;
    border-left-color: #627ca0 !important;
    /*box-shadow: 0 0 6px 0 rgba(0, 0, 0, .2);*/
}

.data-filters-item:last-child {
    border-bottom: none;
}

.data-filters-item:hover {
    font-weight: bold;
}

    .data-filters-item:hover .data-filters-item-count, .data-filters-item.hover .data-filters-item-count {
    }

    .data-filters-item:hover .data-filters-item-name::before, .data-filters-item.hover .data-filters-item-name::before {
        color: white !important;
    }

.data-filters-item-name {
    display: inline-block;
    vertical-align: middle;
    max-width: 75%;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.data-filters-item-count {
    font-size: 14px;
    line-height: 21px;
    color: #8c8c8c;
    margin-left: 5px;
    margin-top: 3px;
    display: inline-block;
    float: right;
}

.page-success {
    font-size: 400%;
}

.page-success small {
    font-size: 40%;
}

.page-error2 {
    font-size: 400%;
}

.page-error2 small {
    font-size: 40%;
}

.bg-blue-slate {
    background-color: #b1bed0 !important;
}

.bg-very-light-purple {
    background-color: #faf9fc !important;
}

.timesheet-view {
    height: 650px !important;
    padding-bottom: 50px;
}

.timesheet-view.preview {
    height: auto !important;
    padding-bottom: 50px;
}

.timesheet-view thead th {
    padding-top: 7px;
    padding-bottom: 7px;
    background-color: #d0d8e3;
    border: 1px solid rgb(183 185 207);
}

    .timesheet-view thead th.stickyheader {
        position: sticky !important;
        top: 0 !important;
        z-index: 15 !important;
        border-top-width: 0px !important;
        border-left-width: 0px !important;
        vertical-align: middle;
    }

.stickyheader button {
    height: 30px !important;
    width: 30px !important;
    margin-top: 2px;
}

.stickyheader button i{
    font-weight:100;
}

.stickyheader span{
    font-weight:400;
    width:81px
}
.timesheet-view table tbody tr:last-child {
    border-bottom: 1px solid #e9e9e9;
}

.timesheet-view table tbody tr td, .timesheet-view table tbody tr th, .timesheet-view table thead tr th {
    border-right: 1px solid #c5c2c2;
}

.timesheet-view table tbody tr th {
    color: revert;
    position: sticky;
    left: 0;
    z-index: 10;
}

@media print {
    #_printPageButton {
        display: none;
    }
}
.alert-success2 {
    color: #3c6f6a !important;
    background-color: #80d3cb !important;
    border-color: #67b4ac !important;
}

.timesheet-view.preview table {
    width: revert !important;
    table-layout: fixed !important;
}

.timesheet-view.preview table td {
    max-width: 100px !important;
    white-space: nowrap !important;
}

.timesheet-view table thead tr th input.timesheet-header-date {
    text-align: center;
    height: revert !important;
    width: 125px;
}
.timesheet-view table thead tr th:nth-child(1) {
    position: sticky;
    left: 0;
    z-index: 20 !important;
}

.bg-light-warning {
    background-color: #ffe3a7!important;
}
.shiftWarningsContainerOverflow {
    overflow: auto !important;
    height: 250px;
}
.shiftWarningsContainerOverflow table {
    border-bottom: 1px solid #e9e9e9 !important;
    border-left: 1px solid #e9e9e9 !important;
    border-right: 1px solid #e9e9e9 !important;
}
.shiftWarningsContainerOverflow table th {
    border-bottom: 1px solid #e9e9e9 !important;
    border-left: 1px solid #e9e9e9 !important;
    border-right: 1px solid #e9e9e9 !important;
}
.shiftWarningsContainerOverflow table td {
    border: 1px solid #e9e9e9 !important;
}
.shiftWarningsContainerOverflow table thead{
    position: sticky !important;
    top: 0 !important;
    z-index: 15 !important;
}

.alert-custom-custom-mb {
    margin-bottom: 1rem !important;
}

.pdf-previewTimesheet-btn{
    margin-left:1.25rem;
    margin-right: auto;
}
/*DONT DELETE*/
/*@keyframes fade-in {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fade-out {
    from {
        opacity: 1;
    }

    to {

        opacity: 0;
    }
}
.name-circle:hover div.name-circle-initials{
    cursor:pointer;
}
.name-circle:hover {
    background-color: #e5bc62 !important;
}

.name-circle:not(hover) div.name-circle-initials.initials {
    display: block;
    animation: fade-in 1s;
    pointer-events: none !important;
}
.name-circle:hover div.name-circle-initials.initials {
    display: none;
    animation: fade-out .75s;
    pointer-events:none !important;
}

.name-circle:not(hover) div.name-circle-initials.del-icon {
    display: none;
}
.name-circle:hover div.name-circle-initials.del-icon {
    display: block;
    animation: fade-in .75s;
}
.name-circle:hover div.name-circle-initials.del-icon:before {
    content: "\f00d";
    font-family: 'Font Awesome 5 Pro';
    color: #212529 !important;
}*/
.workforcePiLogo {
    width: 100% !important;
    height: 28px !important;
    margin-top: 5px !important;
    margin-left: -10px !important;
}